aboutsummaryrefslogtreecommitdiffstats
path: root/heat/vFW_CNF_CDS/templates/cba-dev/build.sh
diff options
context:
space:
mode:
authorLukasz Rajewski <lukasz.rajewski@orange.com>2020-10-09 20:59:32 +0200
committerLukasz Rajewski <lukasz.rajewski@orange.com>2020-10-09 22:44:45 +0200
commit3a3e9fcdd1141928473b5f793e224204eafe8f1b (patch)
tree9864e441b8d85cbb614c2e5c73f7cb7e8c555b95 /heat/vFW_CNF_CDS/templates/cba-dev/build.sh
parent0806ad4aec588a090f4588bf64f68d1804d51113 (diff)
vFW CDS CNF CBA with native k8s profile upload
vFW CDS CNF CBA with native k8s profile upload Change-Id: Ic3357982af534ea261d4d617e050dc33bc339645 Issue-ID: INT-1658 Signed-off-by: Lukasz Rajewski <lukasz.rajewski@orange.com>
Diffstat (limited to 'heat/vFW_CNF_CDS/templates/cba-dev/build.sh')
-rwxr-xr-xheat/vFW_CNF_CDS/templates/cba-dev/build.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/heat/vFW_CNF_CDS/templates/cba-dev/build.sh b/heat/vFW_CNF_CDS/templates/cba-dev/build.sh
new file mode 100755
index 00000000..a7a34061
--- /dev/null
+++ b/heat/vFW_CNF_CDS/templates/cba-dev/build.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# ============LICENSE_START=======================================================
+# Copyright (C) 2020 Orange
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# ============LICENSE_END=========================================================
+
+cd ../cba/
+
+mvn clean install
+
+if [ $? -eq 1 ]
+then
+ echo "----------------"
+ echo "CBA BUILD FAILED"
+ echo "----------------"
+ exit 1
+fi
+
+CBA_NAME=`ls target/*.zip`
+cp $CBA_NAME ../cba-dev/cba.zip
+
+echo "-----------------"
+echo "CBA BUILD SUCCESS"
+echo "-----------------"
+
+cd ../cba-dev